Bug 171441 (CouldNotBeRead)

Unable to download files { "...could not be saved, because the source file could not be read."; save as broken }

VERIFIED FIXED

Status

()

--
major
VERIFIED FIXED
17 years ago
5 years ago

People

(Reporter: jlemay, Assigned: dveditz)

Tracking

({regression, smoketest, top100})

Trunk
x86
Windows 2000
regression, smoketest, top100
Points:
---
Dependency tree / graph
152619, 155407, 169276, 171588, 171649, 171710, 171716, 171784, 171800, 171871, 171981, 172364, 172448, 172475, 172489, 172604, 172637, 173173, 173340, 173397, 173422, 173479, 173638, 173666, 173901, 174080, 174094, 174140, 174379, 174382, 174476, 174770, 174815, 174816, 174931, 174946, 174947, 174965, 175002, 175003, 175036, 175052, 175059, 175061, 175066, 175077, 175079, 175084, 175088, 175103, 175121, 175166, 175181, 175203, 175212, 175213, 175218, 175226, 175291, 175308, 175311, 175314, 175325, 175328, 175338, 175353, 175360, 175377, 175450, 175452, 175474, 175481, 175585, 175589, 175605, 175607, 175608, 175616, 175621, 175646, 175648, 175653, 175676, 175694, 175697, 175708, 175716, 175735, 175760, 175801, 175851, 175872, 175878, 175886, 175892, 175894, 175913, 175917, 175921, 175927, 175971, 175972, 175977, 175993, 175994, 176007, 176009, 176031, 176050, 176058, 176059, 176066, 176069, 176076, 176077, 176082, 176089, 176132, 176176, 176212, 176221, 176253, 176254, 176270, 176322, 176336, 176352, 176356, 176358, 176422, 176440, 176444, 176453, 176457, 176462, 176463, 176483, 176544, 176552, 176561, 176571, 176579, 176584, 176586, 176601, 176620, 176625, 176679, 176688, 176699, 176714, 176780, 176802, 176819, 176844, 176858, 176860, 176895, 176906, 176920, 176945, 176947, 176972, 177003, 177018, 177027, 177037, 177041, 177046, 177057, 177082, 177091, 177094, 177105, 177120, 177139, 177182, 177240, 177245, 177283, 177291, 177325, 177358, 177470, 177476, 177477, 177483, 177495, 177502, 177531, 177542, 177557, 177591, 177596, 177668, 177695, 177701, 177717, 177731, 177738, 177748, 177800, 177858, 177874, 177979, 177998, 178042, 178049, 178147, 178163, 178246, 178319, 178427, 178434, 178438, 178480, 178549, 178588, 178606, 178638, 178649, 178807, 178816, 178916, 178925, 178962, 178966, 178982, 179241, 179331, 179635, 179732, 179799, 179805, 179836, 179893, 179948, 179988, 180017, 180082, 180133, 180135, 180238, 180274, 180282, 180529, 180634, 180705, 180864, 180925, 180940, 181084, 181223, 181296, 181411, 181584, 181768, 181776, 181784, 181836, 181848, 181972, 182027, 182632, 182677, 182727, 183036, 184214, 184865, 191886, 198314

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: mostfreq, [Fixed by deleting compreg.dat file and restarting Mozilla], URL)

Attachments

(2 attachments)

(Reporter)

Description

17 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2b) Gecko/20020928
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2b) Gecko/20020928

Just installed 1.2b 2002092804 on Windows XP SP1 here over 1.2a. This build is
unable to download files. Choosing Tools -> Download Manager does not open the
download manger. Attempting to download a file results in message "   
c:\docume~1\jlemay~2.NJM\locals~1\temp\<filename> could not be saved, because
the source file could not be read. Try again later, or contact the server
administrator." being displayed. Tried this on multiple websites and multiple
downloads. Thought download.com would be the easiest to remember for testing.

Reproducible: Always

Steps to Reproduce:
1. Go to a website
2. Click a link to download a file
3. Error popup

Actual Results:  
Error popup message window appeared. Browser continues to function fine except
for the no download issue.

Expected Results:  
Downloaded the file and prompted for a save location. Why is Mozilla using DOS
style representations for long file names (using the tilda) in a Windows XP Pro
SP1  machine running a Windows build?

Comment 1

17 years ago
*** Bug 171716 has been marked as a duplicate of this bug. ***

Comment 2

17 years ago
Confirming this bug in 2002093004 for Windows

Comment 3

17 years ago
*** Bug 171649 has been marked as a duplicate of this bug. ***

Comment 4

17 years ago
*** Bug 171710 has been marked as a duplicate of this bug. ***

Comment 5

17 years ago
Confirming bug due to the number of duplicates and other reports.  (Even though
I'm not seeing it under 2002093004 trunk XP myself...)
Status: UNCONFIRMED → NEW
Ever confirmed: true

Comment 6

17 years ago
Download manager doesn't actually do the downloading, and I haven't touched
anything on the trunk in awhile.  bryner did touch the trunk to fork download
manager for phoenix, but I have no idea if that's the cause of this.
Assignee: blaker → law
Component: Download Manager → File Handling

Updated

17 years ago
Severity: major → blocker

Comment 7

17 years ago
This is a smoketest blocker
Keywords: smoketest
i cannot seem to repro this using today's trunk (commercial) build
(2002.09.30.10). then again, i'm on win2k, if that makes a difference...

Comment 9

17 years ago
WFM win xp trunk build 2002093010, downloaded an exe from download.com and can
see download manager (also tools->download manager works as expected)
could this possibly be a mozilla-only issue?

Comment 11

17 years ago
I can download fine with Mozilla 2002092804-TRUNK on Win XP SP1. Is this a
Branch only problem?

Comment 12

17 years ago
WFM WinXP both using phoenix and mozilla from the exact same sources
(trunk 2002093011). I downloaded Winzip8.1.

Comment 13

17 years ago
for a period of time on friday there was some broken code in contentAreaUtils.js
having to do with an interface change.  it was fixed late friday night / early
saturday morning.  i'm not sure if that temporary bustage could explain these
bug report though.

Comment 14

17 years ago
I'm seeing the same problem here with 2002092908 & 2002093010, win2k sp3
*** Bug 171588 has been marked as a duplicate of this bug. ***
from bug 171588: the reporter was unable to save images via the context menu,
and was able to repro this problem on win2k.
Keywords: qawanted

Comment 17

17 years ago
I have the same problem under Win2k. I can't save webpages nor images like I
described in bug 171588 which now seams to be dublicate of this one. But I can
download files through links or through FTP access. :-)

I can reproduce the bug by using latest Phoenix trunk. :-(

On the latest 1.0 trunk it works.

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2b) Gecko/20020930 

Updated

17 years ago
OS: Windows XP → Windows 2000
Summary: Unable to download files - exe, zip, tar.gz in 2002092804 build for Windows → Unable to download files - 2002092804 build for Windows

Comment 18

17 years ago
WIN98 
I saw this error, fixed it by installating in fresh folders.
Old Folders had been created 16th of september.

I am always deinstalling mozilla before installing a new nightly,
but I´m using the same folder mozilla.org for installation.
I used an older nightly to install 20020929 into an folder created 26th of
september. I couldn´t download 20020930, so I used NS4.79 for download.
After installation, I wanted to download some other files, 
Downloadmanager came up, sometimes very lately, but I could specify file and
folder. After clicking start download, downloadmanager closed, but didn´t go to
taskbar. Exiting Mozilla by clicking top-right x also crashed mozilla,
with netscape-talkback coming up, since Netscape4.79 was running?

Then I deinstalled mozilla, renamed the mozilla.org-folder, so a fresh folder
was created whenm re-installing.
After installation download was working again.
The corrupted folder had been created 26th of September, with a then current
nightly. I hadn´t used this machine for about 4 months, so I decided to ctreate
a new folder.

But the folder from the 26th and todays folder are having same curiosity:
c:\mozilla.org\Mozilla\components\Netscape\MozillaTrunk

Comment 19

17 years ago
Re comment #17, Save Image also works fine on 20020927-TRUNK on WinXP SP1.

I mention this to verify that it indeed appears to be part of the same problem.

Ummm, I hate to suggest this, but comment #18 suggests that this might be
another COMPREG.DAT issue.

Comment 20

17 years ago
i just installed 2002093010 over 2002092908 (uninstalled first), and that didnt
help.

however, deleting the mozilla.org directory (not the plugins-directory) did.

now with 2002093010 and i can download (and save images) again! yeah!

jdoer: can you try and see if this 'procedure' helps you?

Comment 21

17 years ago
To Comment 19 : 
David, yes I localized the same effect. Unitil 20020927 it worked under W2k SP3,
too.
How about "COMPREG.DAT"? I normaly clear uninstall die program directory but
leave this file in there. What did you mean with "another" problem with this
file? I'll try it removing that file... I'll be back! ;-)

Comment 22

17 years ago
Deleting the mozilla.org->mozilla folder (except plugins) and re-installing
2002093010 solved the problems here.  I did un-install before installing
2002092908, this is where I first saw the problem.  I did NOT uninstall between
2002092908 & 2002093010 initially, and the problem remained, only deleting the
mozilla folder and re-installing 2002093010 solved the problem.  I did NOT try
installing 2002092908 into a clean folder.

Comment 23

17 years ago
Uninstalling the 093010 build, then deleting compreg.dat, and then reinstalling
the same build did the trick here.

Probably the broken code mentioned in comment 13 corrupted this file?

Works for me now.

Comment 24

17 years ago
*** Bug 171784 has been marked as a duplicate of this bug. ***

Comment 25

17 years ago
So, back after checking this thing... I uninstalled Mozilla 1.2 trunk. Removed
the chrome, defaults directory and in the components directory the Netscape
directory and the COMPREG.DAT file. Finaly I made a new clean installation and
voila! It works! :D

Nice new plugin:about page! :D

BTW whcih bug handles the slow open "download progress window" problem?

Comment 26

17 years ago
removing smoketest blocker
Keywords: smoketest

Comment 27

17 years ago
Just to clarify the last few comments based on my testing.

I uninstalled 20020927 (using Mozilla/Win uninstall process), then installed
20020930. I couldn't download anything. I exited Mozilla, then deleted
COMPREG.DAT. After restarting 20020930, I can now download files.

I thought this COMPREG.DAT problem was fixed in Bug #162593 ?
QA Contact: sairuh → nobody

Comment 28

17 years ago
ah, brilliant.

minor problem, suppose you have:
mozilla.exe dated monday
you run mozilla on wednesday, it touches compreg.dat (now dated wednesday)
you get a new mozilla.exe, but it's only dated tuesday.

you run mozilla, it checks, and compreg.dat is newer than it is. What's a poor
mozilla to do?

No one here has mentioned using the .zip builds, in fact no one here has
mentioned '.zip' or 'installer', so I need two people to comment in this bug as
to which they were using.  And then I need at most one person to comment if they
were using the other type.
Assignee: law → dougt
Severity: blocker → major
Component: File Handling → XPCOM Registry
QA Contact: nobody → dougt
dan, can you take a look at this?
Assignee: dougt → dveditz

Comment 30

17 years ago
My comments in comment #27 are based on using the Win32 installer as downloaded
from Mozilla.

Comment 31

17 years ago
my comment #20 is based on the installer.exe from the lastest-builds directory.
 (the 213K .exe)

Comment 32

17 years ago
*** Bug 171800 has been marked as a duplicate of this bug. ***

Comment 33

17 years ago
Re: comment #28
my installations in comment #18 are based on installer.exe, since I don´t know,
how a zip-installation affects the windows registry or other folders.

Build Identifier: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.2b) Gecko/20020930
OS: Windows Version 4.10.1998 (Win98 SP1)

Would be nice to have a doc somewhere that explains what files are affected by
an installation, and what that files are used for.
I´m a programmer, but not a mozilla programmer, so bugzilla is my means to get
some information about mozilla. The sourcecode is too big to start with.
Simply deleting compreg.dat when Mozilla is not running will cure the problems. 
>Would be nice to have a doc somewhere that explains what files are affected by
>an installation, and what that files are used for.

see the release notes please.

Comment 36

17 years ago
timeless@myrealbox.com, comment 28:

> mozilla.exe dated monday. 
> you run mozilla on wednesday, it touches compreg.dat (now dated wednesday)
> you get a new mozilla.exe, but it's only dated tuesday.

> you run mozilla, it checks, and compreg.dat is newer than it is. What's a poor
> mozilla to do?

my guess is that poor mozilla should check a version number in compreg.dat (the
buildID?), since it cannot rely on the file-timestamp.

Comment 37

17 years ago
I used the complete installer.exe from latest trunk.
>my guess is that poor mozilla should check a version number in compreg.dat (the
>buildID?), since it cannot rely on the file-timestamp.

that's useless. you can add new components to mozilla. (even non-developers,
think installing an xpi)

why can't it rely on the timestamp?
As far as I know, it relies on the file the installer creates to tell it to
autoregister. For some reason the file is not created, autoreg doesn't notice it
or autoreg doesn't work in some situations when updating an existing compreg.dat.

Comment 40

17 years ago
re comment 38:

see the scenario timeless sketched? 

and, if you 
1) install additional xpi's, 
2) uninstall mozilla before upgrading as usually suggested instead of just
installing over the old version when encountering errors,

then the xpi's aren't "installed" anymore. at least, that's been my experience
for the last few months.

Comment 41

17 years ago
*** Bug 171871 has been marked as a duplicate of this bug. ***

Comment 42

17 years ago
fwiw the zip package forces compreg to update (this is a relatively recent
change), which is why the question (and the answer [installer]) was so important
and interesting.

I'm not going to tell people to switch to the zip builds, but until someone
complains about this problem in the zip builds I'm going to take a bit of credit
for not hearing about this problem from people who use them :).
Summary: Unable to download files - 2002092804 build for Windows → Unable to download files - 2002092804 [installer] build for Windows

Comment 43

17 years ago
timeless,

Do you think that Bug #162593 should be reopened to address the root cause of
this bug? (And thus, this become a dup of 162593).
not sure if this is the same bug or not, but it may be related to
http://bugzilla.mozilla.org/show_bug.cgi?id=172249.
I have attached an ethereal packet capture file (is this any use?)

I can't download anything (but get no errors) and I can open download manager
(i get a javascript error)

Error: uncaught exception: [Exception... "Component returned failure code:
0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]"  nsresult:
"0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE)"  location: "JS frame ::
chrome://communicator/content/tasksOverlay.js :: toDownloadManager :: line 51" 
data: no]

I try and download from 
http://www.teuchisoft.com/hpue311.exe for example
also 
http://download.com.com/3002-2166-9397470.html?tag=dir
and
http://download.com.com/redir?pid=9397470&merid=67613&mfgid=67613&ltype=dl_dlnow&lop=link&edId=3&siteId=4&oId=3002-20-9397470&ontId=20&dlrs=1&destUrl=http%3A%2F%2Fdownload.imesh.com%2Ffiles%2FiMeshV3.exe


all with the same result - no action at all
trying to download the nightly build does give a dialog box as mentioned in the
original bug report post.

Comment 45

17 years ago
Download at 2nd try -- Build ID 2002100218 full installer.exe Win98 SP1

started download of phoenix nightly, Downloadmanager came up, went to tray as I
was surfing. When I looked at Downloadmanager, it had finished with 1 kb.
I didn´t find the file in the directory, nor via search disk for all files since
last day.

started download again, looked at another tab, looked at downloadmanager
download had started, there was an entry with 0 kb in my download directory,
now finished with 7.624 kb

What if read here about installing, isn´t the stuff written in the release
notes. I used to download, going offline, then deinstall the old and install the
new installer.exe. From reading here, I got the impression, using zip-files
might be better, so I installed a zip-file over an installer version,
but the installerversion was in mozilla.org/Mozilla, the zip-version created in
mozilla.org/bin. Wouldn´t that give problems with registered files?
So I deinstalled Mozilla, and deleted the Mozilla directory, including plugins
and mozilla/bin, my zip-version.

Comment 46

17 years ago
*** Bug 172364 has been marked as a duplicate of this bug. ***

Comment 47

17 years ago
*** Bug 172489 has been marked as a duplicate of this bug. ***
I could reproduce this problem with 2002100308-trunk/WinXP
and several day's builds.
But I can't reproduce the problem after clean install.

http://bugzilla.mozilla.gr.jp/showattachment.cgi?attach_id=1230
This screenshot is the different files(time stamp) of reproduced
and non-reproduced.(right...reproduced,left...non-reproduced)

Comment 49

17 years ago
*** Bug 172604 has been marked as a duplicate of this bug. ***
*** Bug 172637 has been marked as a duplicate of this bug. ***

Comment 51

17 years ago
I have tried uninstalling, and reinstalling.  That works, but then the same
errors occur a few hours later.  I was using the 20020930 installer as the last
one.  Error was still present.  I just d/led teh 20021004 installer, installed
over old one, and error still persists.  I'm going to try to uninstall and
reinstall to see if that helps.  Would be nice if a simple "update" could be
performed instead of an entire uninstall/reinstall.  
windows 2k SP3 btw

Comment 52

17 years ago
Nominating for 1.2.
Keywords: mozilla1.2

Comment 53

17 years ago
Uninstall (with deleting the Mozilla directory)

please see http://bugzilla.mozilla.org/show_bug.cgi?id=172212

seems to fix this.

Comment 54

17 years ago
to comment 53 :
as you can read that (removing manualy) doesn't fix the problem with the
installer. ;-)

Comment 55

17 years ago
actually, uninstalling and deleting everthing except for the plugins directory
worked for me, thanks.  WinXP Build 100708 Full Install.

Updated

17 years ago
Depends on: 113593

Comment 56

17 years ago
*** Bug 173173 has been marked as a duplicate of this bug. ***

Comment 57

17 years ago
*** Bug 173397 has been marked as a duplicate of this bug. ***

Comment 58

17 years ago
*** Bug 173340 has been marked as a duplicate of this bug. ***

Comment 59

17 years ago
*** Bug 173479 has been marked as a duplicate of this bug. ***

Comment 60

17 years ago
*** Bug 173901 has been marked as a duplicate of this bug. ***
*** Bug 174080 has been marked as a duplicate of this bug. ***

Comment 62

17 years ago
*** Bug 174094 has been marked as a duplicate of this bug. ***

Comment 63

17 years ago
*** Bug 174140 has been marked as a duplicate of this bug. ***

Comment 64

17 years ago
This is what my FTP server recorded during a DL attempted with this bug:

[5] Sat 12Oct02 19:47:49 - (000001) Connected to <IP_edited_out> (Local address
141.195.134.16)
[5] Sat 12Oct02 19:47:49 - (000001) IP-Name: <IP_edited_out>
[5] Sat 12Oct02 19:47:49 - (000001) User TM logged in
[3] Sat 12Oct02 19:47:50 - (000001) Sending file f:\tread marks\tm
web\weapons\thebigone\thebigone\ftp\tm_teamctf\teamctf_update-09-19-2002.zip
[3] Sat 12Oct02 19:48:51 - (000001) Sent file f:\tread marks\tm
web\weapons\thebigone\thebigone\ftp\tm_teamctf\teamctf_update-09-19-2002.zip
successfully (9.72 Kb/sec - 615247 bytes)

Note the "Successfully" part on the last item. This was done under the bugged
DL. It "saved" it somewhere, but a search for the file yeilded nothing.

(Note 1: shift-click on a link will pop up the save location box instead of the
error message, however it never saves it)

(Note 2: downloads seem to work without a problem when saving attachments from
Mail, however you have to right-click save as, normal double-click yeilds no
responce)

Comment 65

17 years ago
im not an expert but mozilla saves files to a temp directory under a randomly generated filename while it is downloading then when the file is done it copies the file to where you actually saved it and renames it from the random filename to the filename you gave it when you saved the file. dont ask me why it does this... if you look at the error message you will see this.

"c:\docume~1\jlemay~2.NJM\locals~1\temp\<filename> could not be saved, because
the source file could not be read. Try again later, or contact the server
administrator."

is this bug going to be fixed or is the priority low now that there is a workaround?

Comment 66

17 years ago
Hi, I am pretty sure I solved this problem for myself by
1. Creating a new profile. (downloads immediately worked).
2. Copy in the downloads.rdf file from the new profile in to your existing profile.
3. Now the original profile can download both using ftp and http
4. Copy back in the original downloads.rdf... downloads now work with the
original downloads.rdf.
(my original downloads.rdf is 74,488 bytes. ?size limit)
Can someone who is currently experiencing this try this ?

Comment 67

17 years ago
Experienced this problem in Win98 ver 4.10.1998 (original) on nightlies from
10/13 and 10/14/2002. Besides inability to save files, I also noted that it
would not fire helpers (for midi, wav files). No indications in that case, just
a quick blink of the throbber. 
*** Bug 174382 has been marked as a duplicate of this bug. ***
*** Bug 174379 has been marked as a duplicate of this bug. ***
*** Bug 174476 has been marked as a duplicate of this bug. ***

Comment 71

17 years ago
Compare bug 162271. Dups?

Comment 72

17 years ago
Bug #162271 deals with the Download Manager opening, but not doing anything.
This bug is about the Download Manager not opening at all.

Similar, but I don't think they're dups.
*** Bug 155407 has been marked as a duplicate of this bug. ***
*** Bug 162271 has been marked as a duplicate of this bug. ***
*** Bug 174770 has been marked as a duplicate of this bug. ***
*** Bug 174816 has been marked as a duplicate of this bug. ***
*** Bug 174815 has been marked as a duplicate of this bug. ***

Comment 78

17 years ago
I am verifying this with 2002092804 (1.2b).  In my mind, this is a pretty big bug.

I uninstalled 1.2a before installing 1.2b, but I didn't remove my profile...so
this is possibly something to do with the old profile?

I'll try the workaround from comment 66 to see if that solves it and will report
back.

Comment 79

17 years ago
Ok...after uninstalling everything and doing a complete registry search to
remove everything Mozilla-ish, and deleting my profile, then reinstalling Moz
1.2b, and then importing back my old profile, it seems to work just fine again.

Something else odd was that before I did all this, I could not get Download
Manager to open at all, even if I created a completely new profile.  Going to
Tools>Download Manager had no effect.

Anyhow...definitely something strange going on here.

Comment 80

17 years ago
Re: comment 78.  That build number I mentioned should have been 2002101612, not
2002092804.

Build ID: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2b) Gecko/20021016

Comment 81

17 years ago
*** Bug 174931 has been marked as a duplicate of this bug. ***

Comment 82

17 years ago
*** Bug 174946 has been marked as a duplicate of this bug. ***

Comment 83

17 years ago
*** Bug 174965 has been marked as a duplicate of this bug. ***

Comment 84

17 years ago
I have moz 1.2b and can't download anything. WinXP English, no service pack. I
installed this moz beta over my stable 1.1 release.

Comment 85

17 years ago
*** Bug 175003 has been marked as a duplicate of this bug. ***
Shutting down,Deleting compreg.dat and running one more solved the problem.

Comment 87

17 years ago
My problem started when i installed the nightly build that was releasedthe day
before 1.2b. This problem happened on both of my computers (both Win XP SP1).
*** Bug 175036 has been marked as a duplicate of this bug. ***
*** Bug 175002 has been marked as a duplicate of this bug. ***

Updated

17 years ago
Alias: CouldNotBeRead
Summary: Unable to download files - 2002092804 [installer] build for Windows → Unable to download files - 2002092804 [installer] build for Windows { "...could not be saved, because the source file could not be read."}

Comment 90

17 years ago
After renaming the file Compreg.dat as someone else has suggested Mozilla was
able to download again. I did not have to reboot or anything. Win XP SP1 with
latest Mozilla 1.2b (release, not nightly).

Comment 91

17 years ago
*** Bug 175066 has been marked as a duplicate of this bug. ***

Comment 92

17 years ago
OK, based on all the dups, and the fact that several people have reported that
deleting COMPREG.DAT before starting Mozilla fixes the problem, I'm reopening
Bug #162593
Depends on: 162593

Updated

17 years ago
Summary: Unable to download files - 2002092804 [installer] build for Windows { "...could not be saved, because the source file could not be read."} → Unable to download files - 2002092804 [installer] build for Windows { "...could not be saved, because the source file could not be read."; save as broken }

Comment 93

17 years ago
*** Bug 175061 has been marked as a duplicate of this bug. ***

Comment 94

17 years ago
*** Bug 175052 has been marked as a duplicate of this bug. ***

Comment 95

17 years ago
*** Bug 175077 has been marked as a duplicate of this bug. ***

Comment 96

17 years ago
I see this problem at work (Win2K-SP2) with the latest, 2002-10-17-04, nightly
(and for a while before that) but I've never seen it at home (WinXP) using
mainly CVS builds, but also not with the 2002-10-08-08 nightly (installed due
to, now fixed, Mail/News bugs).

On my home machine I don't have a COMPREG.DAT file but I've just dialled into
work and found that I do there - I'll delete it tomorrow and hopefully this will
be fixed :-)

Question? How come I don't have a COMPREG.DAT file on my home machine? What does
it do? It doesn't appear to be essential.

Comment 97

17 years ago
*** Bug 173666 has been marked as a duplicate of this bug. ***

Comment 98

17 years ago
*** Bug 175088 has been marked as a duplicate of this bug. ***

Comment 99

17 years ago
*** Bug 175084 has been marked as a duplicate of this bug. ***

Comment 100

17 years ago
*** Bug 175103 has been marked as a duplicate of this bug. ***
*** Bug 175121 has been marked as a duplicate of this bug. ***
*** Bug 175166 has been marked as a duplicate of this bug. ***

Comment 103

17 years ago
Deleting compreg.dat and restarting fixed the problem for me--I'd been seeing
this in the nightlies for a while and had gone back to 1.2a to fix it.

This should be added to the release notes as soon as possible, if it isn't
possible to fix it quickly.
Hmmm... this is second or event third bug i meet with, when deleting compreg.dat
helps.
Also i notice, that Mozilla after start, if no suh file found, build it one more.
Basing on this, i think that fast fix, is to add to installer function which
will delete compreg.dat if old one found.

Comment 105

17 years ago
*** Bug 175203 has been marked as a duplicate of this bug. ***

Comment 106

17 years ago
*** Bug 175218 has been marked as a duplicate of this bug. ***
Neither deleting compreg.dat nor putting in a new downloads.rdf (as suggested in
comment 66) makes me download
ftp://dl.xs4all.nl/pub/mirror/linuxberg/files/drall-1.8.0.0-1.tar.Z - error
message stays the same. Using 1.2b on Win2k SP3.

Comment 108

17 years ago
*** Bug 175212 has been marked as a duplicate of this bug. ***

Comment 109

17 years ago
*** Bug 175213 has been marked as a duplicate of this bug. ***
*** Bug 175226 has been marked as a duplicate of this bug. ***
*** Bug 175181 has been marked as a duplicate of this bug. ***

Comment 112

17 years ago
*** Bug 175059 has been marked as a duplicate of this bug. ***
With 1.2 beta on Windows 2000, deleting compreg.dat and restarting makes
downloads work for me.

Comment 114

17 years ago
The happened to me after I installed 1.2b-installer on a MSWin98 system. 
Strangely, it not only affected the main copy of Mozilla, but also all of the
other versions around (I normally keep three back available, most as
talkback.zip rather than installer.exe).  This was resolved by uninstalling 1.2b
and reverting to 1.1.  Then 200209284 started working (and I assume the rest).

Previous to that I determined that Netscape 4.7 was unaffected (so I knew it
wasn't a firewall stopping me).

This happened on several different sites.
Happened with 1.2b for me as well on XP SP1.  Deleted compreg.dat and restarted
as stated above.  Works good now.  

Comment 116

17 years ago
Win2k SP 3. Deleted compreg.dat, which seems to have removed spell checking, but
downloads now work again

Comment 117

17 years ago
Comment 113, comment 115, comment 116, yes, that has been already commented in 
comment 19, comment 21 and so on...

Comment 118

17 years ago
*** Bug 175291 has been marked as a duplicate of this bug. ***
*** Bug 175308 has been marked as a duplicate of this bug. ***

Comment 120

17 years ago
*** Bug 175311 has been marked as a duplicate of this bug. ***
*** Bug 175325 has been marked as a duplicate of this bug. ***
*** Bug 175328 has been marked as a duplicate of this bug. ***
*** Bug 175314 has been marked as a duplicate of this bug. ***

Comment 124

17 years ago
*** Bug 175311 has been marked as a duplicate of this bug. ***
*** Bug 175338 has been marked as a duplicate of this bug. ***
*** Bug 175353 has been marked as a duplicate of this bug. ***
*** Bug 175360 has been marked as a duplicate of this bug. ***

Comment 128

17 years ago
Took recommended steps (compreg.dat).  Worksforme.

Sorry about another dup, but why didn't this bug (or the billions of duplicates)
show up when I searched for any browser bug with the word "download"?

Maybe not an appropriate question for this forum.  Taking myself off the CC
list.  Thanks!!

Comment 129

17 years ago
can someone put the fix for this in the release notes in big bold letters! :)

Updated

17 years ago
Keywords: relnote
*** Bug 175377 has been marked as a duplicate of this bug. ***

Comment 131

17 years ago
This bug also appears using Windows XP Pro and Beta Version 1.2b
David

Comment 132

17 years ago
Using 1.2b this just started with that version, not with 1.2a.  Then when I try
to go back to 1.2a it causes an error in a call not being found to one of the
dlls that is installed. the only way I could get this to go away was to install
one of this nightly build of 1.2b

Comment 133

17 years ago
*** Bug 175450 has been marked as a duplicate of this bug. ***

Comment 134

17 years ago
*** Bug 175452 has been marked as a duplicate of this bug. ***
Blocks: 163993

Comment 135

17 years ago
*** Bug 172475 has been marked as a duplicate of this bug. ***
*** Bug 175522 has been marked as a duplicate of this bug. ***

Updated

17 years ago
Blocks: 174647
*** Bug 175481 has been marked as a duplicate of this bug. ***

Comment 138

17 years ago
*** Bug 175605 has been marked as a duplicate of this bug. ***

Comment 139

17 years ago
Just deleted compreg.dat, rebooted my system, and the problem is fixed.

Comment 140

17 years ago
*** Bug 175608 has been marked as a duplicate of this bug. ***

Comment 141

17 years ago
*** Bug 175607 has been marked as a duplicate of this bug. ***

Comment 142

17 years ago
*** Bug 175585 has been marked as a duplicate of this bug. ***
*** Bug 175452 has been marked as a duplicate of this bug. ***

Comment 144

17 years ago
FYI,

This bug currently is third in the list of total dups in open bugs.
Also, it is fifth-equal in the count of dups of all time.

73 dups, and increasing every day.

Comment 145

17 years ago
*** Bug 175616 has been marked as a duplicate of this bug. ***

Comment 146

17 years ago
*** Bug 175648 has been marked as a duplicate of this bug. ***

Comment 147

17 years ago
*** Bug 175653 has been marked as a duplicate of this bug. ***
*** Bug 175646 has been marked as a duplicate of this bug. ***
*** Bug 175676 has been marked as a duplicate of this bug. ***

Comment 150

17 years ago
*** Bug 175697 has been marked as a duplicate of this bug. ***

Comment 151

17 years ago
*** Bug 175694 has been marked as a duplicate of this bug. ***

Comment 152

17 years ago
*** Bug 173422 has been marked as a duplicate of this bug. ***

Comment 153

17 years ago
*** Bug 175716 has been marked as a duplicate of this bug. ***

Comment 154

17 years ago
*** Bug 175735 has been marked as a duplicate of this bug. ***
Jo, the workaround "remove components\compreg.dat" as you suggest in bug 175735
does not solve bug 162271 in spite of being marked-as-dup.

Updated

17 years ago
Whiteboard: [Fixed by deleting compreg.dat file and restarting Mozilla]

Comment 157

17 years ago
*** Bug 175474 has been marked as a duplicate of this bug. ***

Comment 158

17 years ago
I tried this fix and it works for me too!
[Fixed by deleting compreg.dat file and restarting Mozilla]
\Program Files\mozilla.org\Mozilla\components\compreg.dat

Comment 159

17 years ago
Deleting compreg.dat file and restarting Mozilla worked for me as well.

Comment 160

17 years ago
works for me also! thanks guys.  

Comment 161

17 years ago
*** Bug 175851 has been marked as a duplicate of this bug. ***
*** Bug 175801 has been marked as a duplicate of this bug. ***
*** Bug 175760 has been marked as a duplicate of this bug. ***
*** Bug 175872 has been marked as a duplicate of this bug. ***
*** Bug 175878 has been marked as a duplicate of this bug. ***
*** Bug 175886 has been marked as a duplicate of this bug. ***

Comment 167

17 years ago
Am using Windows 2000 pro with Mozilla build 200293004
Tried all the current solutions but am still having problems downloading nightly
builds. It seems that it's not an ftp problem but a code problem originating
from the "Compreg.dat" file. The only way, for now, that I can download any new
versions is using Netscape 4.79. Also FYI this seems to be a WINDOWS 32 problem
only since I do not have this problem when downloading other OS builds when
using my current Mozilla build.

It seems that there are a lot of dupes for this bug. I think it should be made a
critical problem. For some deleting or uninstalling all folders seems to work to
a point but when they try downloading a newer or latest nightly build the
problem returns. Deleting compreg.dat does not work either since when you try to
download another time a new compreg.dat file is replaced by a newer one. If
anyone out there has a clue please post a "REAL" solution to this problem.
Compreg.dat has caused many problems. So my feeling is that this file needs a
closer look. One would think, with all the "Experienced" programers using
Mozilla plus the orginators, they would have a sense of pride in making sure
this file does it proper function. Does anyone have suggestion as to how this
can be fixed not a worksforme solution.....?????
*** Bug 175892 has been marked as a duplicate of this bug. ***
*** Bug 175894 has been marked as a duplicate of this bug. ***
*** Bug 175913 has been marked as a duplicate of this bug. ***

Comment 171

17 years ago
*** Bug 169276 has been marked as a duplicate of this bug. ***

Comment 172

17 years ago
*** Bug 175917 has been marked as a duplicate of this bug. ***

Comment 173

17 years ago
*** Bug 175921 has been marked as a duplicate of this bug. ***

Comment 174

17 years ago
*** Bug 175927 has been marked as a duplicate of this bug. ***

Comment 175

17 years ago
*** Bug 175708 has been marked as a duplicate of this bug. ***
*** Bug 175972 has been marked as a duplicate of this bug. ***
*** Bug 175971 has been marked as a duplicate of this bug. ***

Comment 178

17 years ago
*** Bug 175977 has been marked as a duplicate of this bug. ***

Comment 179

17 years ago
*** Bug 175993 has been marked as a duplicate of this bug. ***

Comment 180

17 years ago
*** Bug 175994 has been marked as a duplicate of this bug. ***
*** Bug 176009 has been marked as a duplicate of this bug. ***
*** Bug 176007 has been marked as a duplicate of this bug. ***

Updated

17 years ago
Summary: Unable to download files - 2002092804 [installer] build for Windows { "...could not be saved, because the source file could not be read."; save as broken } → Unable to download files { "...could not be saved, because the source file could not be read."; save as broken }

Updated

17 years ago
Whiteboard: [Fixed by deleting compreg.dat file and restarting Mozilla] → mostfreq, [Fixed by deleting compreg.dat file and restarting Mozilla]
*** Bug 176031 has been marked as a duplicate of this bug. ***
*** Bug 176038 has been marked as a duplicate of this bug. ***
*** Bug 176050 has been marked as a duplicate of this bug. ***
*** Bug 176059 has been marked as a duplicate of this bug. ***
*** Bug 176058 has been marked as a duplicate of this bug. ***
I've confirmed this with Mozilla 1.2b and with Mozilla 1.2b+ Build ID: 20021022,
running in Windows 2000 SP3.  No problems existed in Mandrake-Linux 9.0 ATM
concerning the downloading problem.  I'll keep you posted if Linux gets affected
as well.

Updated

17 years ago
Keywords: regression, smoketest

Comment 189

17 years ago
*** Bug 176069 has been marked as a duplicate of this bug. ***

Comment 190

17 years ago
*** Bug 176066 has been marked as a duplicate of this bug. ***

Comment 191

17 years ago
*** Bug 176076 has been marked as a duplicate of this bug. ***

Comment 192

17 years ago
*** Bug 175589 has been marked as a duplicate of this bug. ***

Comment 193

17 years ago
*** Bug 176082 has been marked as a duplicate of this bug. ***

Comment 194

17 years ago
*** Bug 176077 has been marked as a duplicate of this bug. ***

Comment 195

17 years ago
*** Bug 176089 has been marked as a duplicate of this bug. ***

Comment 196

17 years ago
I've been experiencing this bug for a few days now. After the first time I
encountered it I shutdown the browser and received the following error message
which was also recorded in the Win2k system log:

Application popup: XPCOM:EventReceiver: Mozilla.exe - Application Error : The
instruction at "0x6190392e" referenced memory at "0x00000000". The memory could
not be "read".

I'm using Win2k SP3 and Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2b)
Gecko/20021016.

Hope this helps narrow down where the error is occuring..

Comment 197

17 years ago
*** Bug 176132 has been marked as a duplicate of this bug. ***

Comment 198

17 years ago
Since upgrading to Mozilla 1.2b on Win98 I cannot download any files via the
browser, or 'save as link'. This worked fine in 1.1. The error message I get
when trying to download looks like this... "C:\WINDOWS\TEMP\n853f968.jpg could
not be saved, because the source file could not be read. Try again later or
contact the server administrator." Not sure why it thinks all downloads are .jpg
files, had to download the following NetTime program via MS-IE :[

http://prdownloads.sourceforge.net/nettime/NetTime-2b6.exe?use_mirror=easynews
art: how did you install 1.2b?  could you provide details on how you upgraded?  

Comment 200

17 years ago
*** Bug 176212 has been marked as a duplicate of this bug. ***

Comment 201

17 years ago
*** Bug 176221 has been marked as a duplicate of this bug. ***

Comment 202

17 years ago
I see the same thing here using 1.2b on WinME.

I installed 1.2b over 1.1 using the installer exe (installer-sea version).

Comment 203

17 years ago
Another FYI,

This bug is now number 3 in the all time dup count list. It would be number 2 if
you ignored the fixed bug. It has 114 dups, and still increasing.

It's also number 1 in the count of dups in the last 7 days, with a count of 91.

I'm adding top100 keyword as this bug can be seen on the vast majority of the
Top 100 sites.
Keywords: top100
*** Bug 176176 has been marked as a duplicate of this bug. ***

Comment 205

17 years ago
Confirming this on Mozilla 1.2b on Win XP and Win 2000 Pro SP 2.

Also confirming on Mozilla build 2002102208 on Win 2000 Pro SP 2.

Comment 206

17 years ago
Note that this bug is listed as Windows 2000, but I have seen it on Windows 98SE.
I am running Mozilla 1.2b

Updated

17 years ago
Status: NEW → ASSIGNED

Comment 207

17 years ago
*** Bug 176254 has been marked as a duplicate of this bug. ***
(Assignee)

Comment 208

17 years ago
The component registry was renamed, change the install scripts to match (plus
minor cleanups that were in my tree).
Comment on attachment 103880 [details] [diff] [review]
clean up old component registry like before

i don't like how we just delete the component registry file.  This will break
any components which have been installed outside of the components directory 
(such as components existing in a GRE)

however, since this is what we have been doing and this patch will fix manyof
the bustages that are being reported, r=dougt.	Oh, and it doesn't hurt to
continue deleting the component.reg file.

Comment 210

17 years ago
Problem mirrored after migrating from 1.1 to 1.2b on XP Professional non SP1

Comment 211

17 years ago
This bug appeared when I changed the o/s so that a period appears in a directory
name in the pathname to the file location that cannot be read - causing the
download to abort. Since the v1.1 downloader has a problem with extra periods -
e.g. does not handle ../*.ps.z correctly - can someone check to see if that is
the source of the problem here also?

Comment 212

17 years ago
*** Bug 176253 has been marked as a duplicate of this bug. ***

Comment 213

17 years ago
*** Bug 176322 has been marked as a duplicate of this bug. ***
*** Bug 176356 has been marked as a duplicate of this bug. ***
*** Bug 176358 has been marked as a duplicate of this bug. ***
*** Bug 176336 has been marked as a duplicate of this bug. ***
*** Bug 176352 has been marked as a duplicate of this bug. ***
*** Bug 176270 has been marked as a duplicate of this bug. ***
(Assignee)

Comment 219

17 years ago
Comment on attachment 103880 [details] [diff] [review]
clean up old component registry like before

r=dougt
Attachment #103880 - Flags: review+
Comment on attachment 103880 [details] [diff] [review]
clean up old component registry like before

sr=bzbarsky
Attachment #103880 - Flags: superreview+
What about unix, os2, etc.?

http://lxr.mozilla.org/seamonkey/search?string=component%5C.reg
  (There's a good bit of other stuff there to clean up, too.  It may be worth
  filing a bug on blizzard for the RPM scripts.  It looks like the #define in
  xpistub.cpp is unused, but if so, it should be removed.  etc...)
Comment on attachment 103880 [details] [diff] [review]
clean up old component registry like before

a=roc+moz for trunk
Attachment #103880 - Flags: approval+

Comment 224

17 years ago
Ref. My OS is Win98se 4.10.2222A
http://bugzilla.mozilla.org/show_bug.cgi?id=171441#c198

After reading more of the comments, I closed mozilla 1.2bfull.exe completely &
renamed the file C:\Program Files\mozilla.org\Mozilla\components\compreg.dat as
others have suggested and Mozilla was able to download again. I did not have to
remove any software, reinstall or even reboot. My PC clock had been 2days off as
I saw some references to a possible time stamp problem with this file. -HTH
great browser!

These comments helped...
http://bugzilla.mozilla.org/show_bug.cgi?id=171441#c90
http://bugzilla.mozilla.org/show_bug.cgi?id=171441#c92

Comment 225

17 years ago
This occured on my system after modifying my win2k enviromental settings in teh
my computer properties, i moved my tmp and temp system varibles to my e drive
for addtional leverage of space. 

Comment 226

17 years ago
removing cc

Comment 227

17 years ago
*** Bug 176422 has been marked as a duplicate of this bug. ***

Comment 228

17 years ago
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2b) Gecko/20021021

I can confirm that deleting
C:\Program Files\mozilla.org\Mozilla\components\compreg.dat
reenables the download functionality.

Comment 229

17 years ago
*** Bug 176444 has been marked as a duplicate of this bug. ***

Comment 230

17 years ago
*** Bug 176453 has been marked as a duplicate of this bug. ***

Comment 231

17 years ago
*** Bug 176453 has been marked as a duplicate of this bug. ***

Comment 232

17 years ago
*** Bug 176457 has been marked as a duplicate of this bug. ***

Comment 233

17 years ago
*** Bug 176463 has been marked as a duplicate of this bug. ***
*** Bug 176440 has been marked as a duplicate of this bug. ***

Comment 235

17 years ago
On win2ksp3 closing Mozilla, including QuickLaunch, and deleting compreg.dat
worked for me.
(Assignee)

Comment 236

17 years ago
Fix checked in last night, should be in todays installers
Status: ASSIGNED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED
*** Bug 176483 has been marked as a duplicate of this bug. ***

Comment 238

17 years ago
Shutting down Mozilla and deleting compreg.dat from C:\Program
Files\mozilla.org\Mozilla\components fixed this for me.
*** Bug 174941 has been marked as a duplicate of this bug. ***
*** Bug 176462 has been marked as a duplicate of this bug. ***
*** Bug 176544 has been marked as a duplicate of this bug. ***
*** Bug 176552 has been marked as a duplicate of this bug. ***
*** Bug 176561 has been marked as a duplicate of this bug. ***

Comment 244

17 years ago
*** Bug 176571 has been marked as a duplicate of this bug. ***

Comment 245

17 years ago
*** Bug 176586 has been marked as a duplicate of this bug. ***

Comment 246

17 years ago
*** Bug 176584 has been marked as a duplicate of this bug. ***

Comment 247

17 years ago
*** Bug 176579 has been marked as a duplicate of this bug. ***
*** Bug 176601 has been marked as a duplicate of this bug. ***

Comment 249

17 years ago
*** Bug 176620 has been marked as a duplicate of this bug. ***

Comment 250

17 years ago
*** Bug 176625 has been marked as a duplicate of this bug. ***

Comment 251

17 years ago
*** Bug 176679 has been marked as a duplicate of this bug. ***
*** Bug 176681 has been marked as a duplicate of this bug. ***
*** Bug 176688 has been marked as a duplicate of this bug. ***

Comment 254

17 years ago
*** Bug 176714 has been marked as a duplicate of this bug. ***

Comment 255

17 years ago
*** Bug 176699 has been marked as a duplicate of this bug. ***

Comment 256

17 years ago
*** Bug 176780 has been marked as a duplicate of this bug. ***
*** Bug 176802 has been marked as a duplicate of this bug. ***

Comment 258

17 years ago
*** Bug 176819 has been marked as a duplicate of this bug. ***

Comment 259

17 years ago
*** Bug 176818 has been marked as a duplicate of this bug. ***

Comment 260

17 years ago
*** Bug 176844 has been marked as a duplicate of this bug. ***

Comment 261

17 years ago
*** Bug 176858 has been marked as a duplicate of this bug. ***
*** Bug 176860 has been marked as a duplicate of this bug. ***
Deleting compreg.dat on my Mozilla 1.2 Beta in W2K SP3 corrected the error.  I
had an error message the first time, but after that, it works fine.
*** Bug 176895 has been marked as a duplicate of this bug. ***
*** Bug 176945 has been marked as a duplicate of this bug. ***
*** Bug 176906 has been marked as a duplicate of this bug. ***
*** Bug 176920 has been marked as a duplicate of this bug. ***
*** Bug 176947 has been marked as a duplicate of this bug. ***
*** Bug 176972 has been marked as a duplicate of this bug. ***
*** Bug 175621 has been marked as a duplicate of this bug. ***

Comment 271

17 years ago
*** Bug 177003 has been marked as a duplicate of this bug. ***
*** Bug 177018 has been marked as a duplicate of this bug. ***
*** Bug 177027 has been marked as a duplicate of this bug. ***

Comment 274

17 years ago
This bug also occurs under Windows 95 OSR2 with IE6 and Winsock2, and the fix
described works as well.

User-agent - Mozilla/5.0 (Windows; U; Win95; en-US; rv:1.2b) Gecko/20021016
*** Bug 177037 has been marked as a duplicate of this bug. ***
*** Bug 177041 has been marked as a duplicate of this bug. ***
*** Bug 177046 has been marked as a duplicate of this bug. ***
*** Bug 177057 has been marked as a duplicate of this bug. ***
*** Bug 177094 has been marked as a duplicate of this bug. ***

Comment 280

17 years ago
This endless parade of duplicates really might be avoided if this was added to
the release notes for 1.2b.  It is still not in there, in known problems, or
installation notes, even though there were other post-release additions to the
release notes:

http://www.mozilla.org/releases/mozilla1.2b/

In addition, this could be placed on the homepage near the download link.  Is
there some reason that the release notes just couldn't be updated?

Here's sample text, to go under "Known Problems" or "Installation notes" or "New
Additions to the Release Notes."  Just cut and paste.

<P>
 If you encounter the message "[filename] could not be saved, because the source
 file could not be read..." please exit Mozilla, delete the file
<code>compreg.dat</code> from your <code>components</code> directory, and
restart Mozilla.  (Bug <a
href="http://bugzilla.mozilla.org/show_bug.cgi?id=171441" title="Bug 171441 -
Unable to download files { \"...could not be saved, because the source file
could not be read.\"; save as broken }">171441</a>)
</P>
added keyword "patch" for someone with cvs abilities to edit that website
mentioned in comment 280
Keywords: patch
*** Bug 177082 has been marked as a duplicate of this bug. ***
*** Bug 177105 has been marked as a duplicate of this bug. ***

Comment 284

17 years ago
that's not a patch. relnote committed (minor changes were required). i'd be
interested to know how many of the cc list actually read the release notes,
follow the directions therein, or even read the release notes when the encounter
a problem with a release. if you're interested in answering this survey, please
contact me on irc.mozilla.org
Keywords: patch
*** Bug 177091 has been marked as a duplicate of this bug. ***

Comment 286

17 years ago
*** Bug 177120 has been marked as a duplicate of this bug. ***

Updated

17 years ago
Blocks: 176454
*** Bug 177139 has been marked as a duplicate of this bug. ***
*** Bug 177182 has been marked as a duplicate of this bug. ***

Comment 289

17 years ago
*** Bug 177245 has been marked as a duplicate of this bug. ***

Comment 290

17 years ago
*** Bug 174947 has been marked as a duplicate of this bug. ***

Comment 291

17 years ago
*** Bug 177291 has been marked as a duplicate of this bug. ***
*** Bug 177283 has been marked as a duplicate of this bug. ***

Comment 293

17 years ago
timeless@myrealbox.com:
"i'd be
interested to know how many of the cc list actually read the release notes,
follow the directions therein, or even read the release notes when the encounter
a problem with a release."

  I think most people probably did look for this in the release notes and on
Bugzilla.  The problem is that if you go to http://bugzilla.mozilla.org/ and
type in search terms in the provided form like "could not be saved," or "could
not be read" this bug simply does not show up.  Try it.  Give people some
credit.  Mozilla users usually aren't dummies.

   A fix or different defaults to the search may prevent such widespread
problems in the future.  Does anyone have a solution to this?

timeless@myrealbox.com wrote:  "if you're interested in answering this survey,
please contact me on irc.mozilla.org"

   If you're interested in hosting a real survey, I might suggest providing a
more reliable way to reach you unless you're on IRC 24/7.  You might at least
provide a username.  Most people don't have the time to try and guess your
schedule and hunt you down.

Comment 294

17 years ago
*** Bug 177325 has been marked as a duplicate of this bug. ***
>   If you're interested in hosting a real survey, I might suggest providing a
>more reliable way to reach you unless you're on IRC 24/7.

I'd almost daresay that timeless is on IRC 24/7 :)

>  You might at least provide a username. 

Given that his email address is timeless@something, how hard is it to guess
"timeless" as IRC username?

*** Bug 177358 has been marked as a duplicate of this bug. ***
*** Bug 152619 has been marked as a duplicate of this bug. ***

Comment 298

17 years ago
*** Bug 177476 has been marked as a duplicate of this bug. ***

Comment 299

17 years ago
*** Bug 177470 has been marked as a duplicate of this bug. ***

Comment 300

17 years ago
*** Bug 177477 has been marked as a duplicate of this bug. ***

Comment 301

17 years ago
*** Bug 177495 has been marked as a duplicate of this bug. ***

Comment 302

17 years ago
*** Bug 177502 has been marked as a duplicate of this bug. ***

Comment 303

17 years ago
I think a lot of the dupes might come from the fact that nobody suspects this
bug to belong to the XPCOM registry component. When I posted my dupe I searched
the general browser and download manager components because I was experiencing
download problems.

Maybe add a feature to Bugzilla: "bug affects components" section in the bug
properties, a search in these components would bring up the bug even though it
is posted in a different component.
*** Bug 177483 has been marked as a duplicate of this bug. ***

Comment 305

17 years ago
1) I suspect the reason more people aren't finding this is that on the default
system search RESOLVED bugs are not returned.  See my comments on bug 176469.  I
also have no idea what the XPCOM registry is, and would certainly not have
thought to look there for this bug.

2) I see the note that a fix has been checked in.  It would be nice if someone
could post info on what was causing the problem.

Comment 306

17 years ago
*** Bug 177542 has been marked as a duplicate of this bug. ***
*** Bug 177542 has been marked as a duplicate of this bug. ***
*** Bug 177531 has been marked as a duplicate of this bug. ***
*** Bug 177557 has been marked as a duplicate of this bug. ***
*** Bug 177591 has been marked as a duplicate of this bug. ***

Comment 311

17 years ago
*** Bug 177596 has been marked as a duplicate of this bug. ***
*** Bug 177668 has been marked as a duplicate of this bug. ***

Comment 313

17 years ago
*** Bug 177668 has been marked as a duplicate of this bug. ***
*** Bug 177695 has been marked as a duplicate of this bug. ***

Comment 315

17 years ago
*** Bug 177701 has been marked as a duplicate of this bug. ***
*** Bug 177717 has been marked as a duplicate of this bug. ***
*** Bug 177738 has been marked as a duplicate of this bug. ***

Comment 318

17 years ago
*** Bug 177731 has been marked as a duplicate of this bug. ***

Comment 319

17 years ago
*** Bug 177748 has been marked as a duplicate of this bug. ***
*** Bug 177800 has been marked as a duplicate of this bug. ***

Comment 321

17 years ago
*** Bug 177858 has been marked as a duplicate of this bug. ***

Comment 322

17 years ago
*** Bug 177874 has been marked as a duplicate of this bug. ***

Comment 323

17 years ago
This bug also prevented downloading a proxy automatic configuration (proxy.pac).
 Deleting compreg.dat solved the problem.
*** Bug 177979 has been marked as a duplicate of this bug. ***

Comment 325

17 years ago
*** Bug 177998 has been marked as a duplicate of this bug. ***
*** Bug 178042 has been marked as a duplicate of this bug. ***

Comment 327

17 years ago
*** Bug 178049 has been marked as a duplicate of this bug. ***
*** Bug 178147 has been marked as a duplicate of this bug. ***
Keywords: qawanted

Comment 329

17 years ago
*** Bug 178163 has been marked as a duplicate of this bug. ***

Comment 330

17 years ago
*** Bug 178246 has been marked as a duplicate of this bug. ***

Comment 331

17 years ago
*** Bug 177998 has been marked as a duplicate of this bug. ***
*** Bug 178319 has been marked as a duplicate of this bug. ***

Comment 333

17 years ago
*** Bug 178427 has been marked as a duplicate of this bug. ***

Comment 334

17 years ago
*** Bug 178438 has been marked as a duplicate of this bug. ***
*** Bug 178434 has been marked as a duplicate of this bug. ***

Comment 336

17 years ago
*** Bug 178480 has been marked as a duplicate of this bug. ***

Comment 337

17 years ago
Not fixed in 1.2b (Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2b)
Gecko/2002101612).

Comment 338

17 years ago
*** Bug 178549 has been marked as a duplicate of this bug. ***
(Assignee)

Comment 339

17 years ago
re comment 337: yes, we *know* 1.2b is broken, that's why we're getting the
obscene number of dupes. The fix went into the 10/24 build, 1.2b was 10/16
*** Bug 178588 has been marked as a duplicate of this bug. ***
*** Bug 178606 has been marked as a duplicate of this bug. ***

Comment 342

17 years ago
225 dups at the moment. This bug will be the most duped bug in Mozilla's history
I believe. :)
*** Bug 178638 has been marked as a duplicate of this bug. ***

Comment 344

17 years ago
*** Bug 178649 has been marked as a duplicate of this bug. ***

Comment 345

17 years ago
don't know, if its the same old story or something new ...

did an update 20021026 to 20021106. That's the results:

- only one application can run (and works ok), any second one stucks, for xmple
  start browser -> no mail , no composer and vice versa
- only way to change apps is setting the start app in preferences
- deleting compreg.dat -> new one is created, no change
- with browser always one error in sidebar
  tries to download my bookmarks, never ending
- uninstall, install former version -> no success
- uninstall, del mozilla-dir, install -> no success 
- same things with boots in between -> no success

anyone some idea what to do now?
what the hell is this! Don't want to read 344 comments, hoping for one solution.
Hey, one thing is really surprising: download works great ;-)

Comment 346

17 years ago
sorry, did forget those additional infos to #345:
Win2000, build is 2002110604
*** Bug 178807 has been marked as a duplicate of this bug. ***
*** Bug 178816 has been marked as a duplicate of this bug. ***

Comment 349

17 years ago
If you want to cut down on the number of dupes, test the searchability of the
bug, and how it looks to the normal bugzilla user.

I reopened bug 174941 (a dupe here), moved it to the component people search for
PAC problems, and pointed it here via a depends. Based on the other PAC dupes,
modified the summary so it should show up to the normal unhappy PAC user. 

People can now search for the bug, find the workaround, the post-fixed build
dates, and reference this bug as well.

Until we get another milestone, it is probably going to keep raining.
Blocks: 174941
Summary: Unable to download files { "...could not be saved, because the source file could not be read."; save as broken } → Unable to download files { "...could not be saved, because the source fil.e could not be read."; save as broken }
> don't know, if its the same old story or something new ...

I dont know it too, but for sure it's not this bug.
Try to find bug more related to Your problem, or fill a new one.

Comment 351

17 years ago
*** Bug 177003 has been marked as a duplicate of this bug. ***
*** Bug 178916 has been marked as a duplicate of this bug. ***
*** Bug 178925 has been marked as a duplicate of this bug. ***
*** Bug 178962 has been marked as a duplicate of this bug. ***
*** Bug 178966 has been marked as a duplicate of this bug. ***
*** Bug 178982 has been marked as a duplicate of this bug. ***
*** Bug 179241 has been marked as a duplicate of this bug. ***

Comment 358

17 years ago
*** Bug 179331 has been marked as a duplicate of this bug. ***
*** Bug 179732 has been marked as a duplicate of this bug. ***
*** Bug 179799 has been marked as a duplicate of this bug. ***
*** Bug 179805 has been marked as a duplicate of this bug. ***
*** Bug 179836 has been marked as a duplicate of this bug. ***

Comment 363

17 years ago
*** Bug 179893 has been marked as a duplicate of this bug. ***
*** Bug 179948 has been marked as a duplicate of this bug. ***

Comment 365

17 years ago
*** Bug 179988 has been marked as a duplicate of this bug. ***
*** Bug 180017 has been marked as a duplicate of this bug. ***

Comment 367

17 years ago
*** Bug 180082 has been marked as a duplicate of this bug. ***
*** Bug 180135 has been marked as a duplicate of this bug. ***
*** Bug 180133 has been marked as a duplicate of this bug. ***

Comment 370

17 years ago
*** Bug 180274 has been marked as a duplicate of this bug. ***

Comment 371

17 years ago
*** Bug 180282 has been marked as a duplicate of this bug. ***

Updated

17 years ago
Summary: Unable to download files { "...could not be saved, because the source fil.e could not be read."; save as broken } → Unable to download files { "...could not be saved, because the source file could not be read."; save as broken }

Comment 372

17 years ago
*** Bug 177240 has been marked as a duplicate of this bug. ***

Comment 373

17 years ago
..
*** Bug 180529 has been marked as a duplicate of this bug. ***
*** Bug 180634 has been marked as a duplicate of this bug. ***

Comment 376

17 years ago
*** Bug 180705 has been marked as a duplicate of this bug. ***
*** Bug 180864 has been marked as a duplicate of this bug. ***
*** Bug 180925 has been marked as a duplicate of this bug. ***
*** Bug 180940 has been marked as a duplicate of this bug. ***

Comment 380

17 years ago
*** Bug 181084 has been marked as a duplicate of this bug. ***
*** Bug 181223 has been marked as a duplicate of this bug. ***
*** Bug 181296 has been marked as a duplicate of this bug. ***
*** Bug 181584 has been marked as a duplicate of this bug. ***

Updated

17 years ago
No longer depends on: 113593

Comment 384

17 years ago
Removing block on Bug #163993, Bug #174941 & Bug #176454. I beleive that if a
bug has been fixed, then it can no longer block other bugs. Change back if you wish.

Sorry for spam for those people who don't care about these sort of things.

Comment 385

17 years ago
*** Bug 181411 has been marked as a duplicate of this bug. ***

Comment 386

17 years ago
*** Bug 181768 has been marked as a duplicate of this bug. ***

Comment 387

17 years ago
*** Bug 181776 has been marked as a duplicate of this bug. ***

Comment 388

17 years ago
*** Bug 181784 has been marked as a duplicate of this bug. ***

Comment 389

17 years ago
*** Bug 181836 has been marked as a duplicate of this bug. ***

Comment 390

17 years ago
*** Bug 181848 has been marked as a duplicate of this bug. ***
*** Bug 181972 has been marked as a duplicate of this bug. ***
*** Bug 182027 has been marked as a duplicate of this bug. ***
*** Bug 182632 has been marked as a duplicate of this bug. ***

Comment 394

17 years ago
*** Bug 182727 has been marked as a duplicate of this bug. ***
*** Bug 182677 has been marked as a duplicate of this bug. ***

Comment 396

17 years ago
removing self from email. problem overcame already.
*** Bug 183036 has been marked as a duplicate of this bug. ***

Comment 398

17 years ago
amazing how people keep reporting this, it's been at the top of the frequent
duplicates list for weeks now.

Comment 399

17 years ago
Seems my bug 162271 -> bug 160755 has nothing to do with this one after all.
If you find anyone filing a dupe of this who has got canconfirm or editbugs,
tell me and I'll fix that problem right away :-) 268 dupes? The laziness of some
people beggars belief...

Gerv
*** Bug 184214 has been marked as a duplicate of this bug. ***
*** Bug 184865 has been marked as a duplicate of this bug. ***

Comment 403

17 years ago
FWIW: I download a nightly at least once a day.  (Sometimes the 04 and 08
builds.) I managed not to get hit with this bug originally, having already done
a clean install and deleting compreg.dat, and haven't experienced it since it
was fixed - until this morning.

I saw it when using 200212108 (under XP) to download the 2002121104 build via
FTP.  (The download manager came up, I clicked on Save, and I got the "source
file could not be read" message.)  Of course, I immediately exited Mozilla,
deleted compreg.dat, ran Mozilla again and all was good.  But there seems to
have been some regression here for some reason.  Hopefully it was just a glitch
(?) that others aren't seeing.

Comment 404

17 years ago
Jason,

It is a glitch. I'm using build 2002121104 and have been downloading all day
without any problems.

Sorry for spam, I would have sent this as private eMail, but I thought it was
important that everyone on the cc list gets an answer to Jason's question.

Oh, and also marking this bug as Verified.
Status: RESOLVED → VERIFIED

Comment 405

17 years ago
*** Bug 180238 has been marked as a duplicate of this bug. ***

Comment 406

17 years ago
*** Bug 185872 has been marked as a duplicate of this bug. ***

Comment 407

17 years ago
*** Bug 174094 has been marked as a duplicate of this bug. ***

Comment 408

17 years ago
*** Bug 172448 has been marked as a duplicate of this bug. ***

Comment 409

17 years ago
*** Bug 179635 has been marked as a duplicate of this bug. ***

Comment 410

16 years ago
*** Bug 173638 has been marked as a duplicate of this bug. ***

Comment 411

16 years ago
*** Bug 191886 has been marked as a duplicate of this bug. ***

Comment 412

16 years ago
*** Bug 198314 has been marked as a duplicate of this bug. ***

Comment 413

16 years ago
I have just started receiving this error over the past day or two.

Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4b) Gecko/20030411
Build Id: 2003041108
OS: Windows 98se

I had downloaded several files without any problems and even today downloaded
two files without the error. Then when attempting to download from
ftp://ftp.dantz.com/pub/retro_60_pro_trial.exe got this error.

I have closed down Mozilla and renamed the COMPREG.DAT file and then restarted
Mozilla and tried downloading again and received the same error.

I have just rebuilt the system and therefore Mozilla is a fresh install (even
though I normally would uninstall and reboot before installing). However, my
profile has been restored from backup.

I will attempt to uninstall Mozilla and install the latest build (using another
browser to do the download).

BTW, I am using the exe install.

Comment 414

16 years ago
I do not know which is a quirk but the latest nightly build (2003041408) has
worked for downloads.

I have down two successful downloads. One being the earlier indicated link and
the other
(http://www.mirror.ac.uk/sites/ny1.mirror.openoffice.org/stable/1.1beta/OOo_1.1beta_Win32Intel_install.zip)

Comment 415

16 years ago
Renaming compreg.dat wfm. I was not experiencing any errors, the normal commdlg
appeared, just no file save. Tools, download manager yielded nothing. Download
manager was not enabled to begin with. This appeared with the install of 1.4a.

I noticed compreg.dat was not recreated. Any implications of this?

Comment 416

16 years ago
Several of my users are this site have experienced this issue. I have not be
able to draw any correlation between operating environment (software, OS
version, etc.). Deleting compreg.dat WFM. Any ideas why this is happening?

Nominating for 1.4 blocker. Not being able to download files is a pretty big
nasty... we must have regressed again. Clearly, the number of duplicates of this
bug tells us this is either not fixed or has regressed.

I was able to note that a number of the users affected by this bug were using
the AOL.com Mail interface and a javascript invoked download.
Flags: blocking1.4?
I've filled Bug 203689 about a similar behaviour (or better said exactly the
same). But that Bug appeared with Mozilla 1.3, at that time this bug was already
fixed.

Updated

16 years ago
Flags: blocking1.4?

Comment 418

16 years ago
So now people are removing flags without documenting or explaining? Asa, if
you're going to spend the time to remove a flag, why not do it the right way? If
there's something that the people on this bug list need to do to get this bug
reopenned, tell us what we're doing wrong.
clintonj@umkc.edu: this bug is fixed, therefore it can't block a release.

Comment 420

16 years ago
cbiesinger@web.de: This bug is NOT fixed, therefore it COULD be re-openned.
Whether or not it blocks a release is up to Asa.

If this is not the proper way to bring attention to a bug that has clearly
reappeared, what is?
ok. delete compreg.dat in mozilla\components, that should fix this bug.
if you had installed mozilla over a previous installation without using the
installer and you got problems, that is no bug.

if you did install mozilla over a previous release with the installer, you
should reopen this bug or file a new one, requesting blocking1.4 on a fixed bug
is not useful.

Comment 422

16 years ago
The case is the later. The problem developed after approximately two weeks of
use of 1.4b and does not affect all my users. My entire user base is WinXP. What
else might cause corruption of this file?

Could we modify Mozilla to better handle a corrupt component.reg?

I cannot reopen this bug. Someone with more permission must do it. This is
driving me crazy. I want to help by letting you guys know there's a problem. If
I file a new bug, it get's marked as duplicate. If I do everything I can to
bring attention to this one, I get ignored / chastized. Why is it so hard to let
someone know there's a bug? Also, I'll say it again: the number of duplicate
refiles of this bugs tells me that this is not an isolated occurance. This bug
is real and it IS happening.
is the compreg.dat file marked read-only?  can your users modify it?  Are they
installing any third party software that might change this file?

Comment 424

16 years ago
The file is not marked read-only. I suppose the users could play with it if they
knew how to open a file that doesn't have a .txt extention on the end. :) These
are not computer savey people.

And no, there's is no esoteric software installed that would go around modifing
.reg files.
I have run into this issue a couple times since the closing of this bug.  Each
time, I have been able to resolve it by opening Preferences then removing
everything (except text/html) from "Navigator -> Helper Applications". 
*** Bug 171981 has been marked as a duplicate of this bug. ***

Comment 427

16 years ago
Mozilla 1.5 on Windows XP.  Definitely not fixed.  I came across "...could not
be saved'.   I tried fixing that directory's permissions (fix is not permanent
on Windows XP).  I tried reinstalling, twice, with rebooting.  I tried deleting
the mozilla.org directory and my personal mozilla directory.  I do not have any
"helper applications" defined.  Still getting this error.

I notice several internet references this month, and I can't help but wonder if
the nearly daily security patches from microsoft we have to apply have broken
something.

Updated

15 years ago
Keywords: relnote

Comment 428

15 years ago
Running the below version on windows xp home edition.

Mozilla 1.4
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624

Download worked fine until about 1 month ago, now I can't download anything. I
used this install for several months without problems until approximately
Christmas 2003.  I don't believe I updated windows recently, but I'm not sure
(there are other users on my pc that might have).

Deleting compreg.dat doesn't solve the problem.

Herb Desson 

Comment 429

15 years ago
Is it crashing? Are you getting the error message like the one described in the
description?

Comment 430

14 years ago
I am having this issue in Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US;
rv:1.8b2) Gecko/20050316 Firefox/1.0+.
Have had it for pas tseveral nights.  Will work on a fresh install until I
restart the browser.
I have tried closing browser and deleting compreg.dat (from both the Program
Files and Application Settings folders).  No go.

Comment 431

14 years ago
Same here. After trying to solve it deleting compreg.dat, I made fresh Firefox
Install but still the same. Can't save files.